import { TaskInventory as TaskInventoryType } from '@bringg/types';
import Session from '../Services/Identity/Session';
export default class TaskInventory {
    private taskInventoryService;
    constructor(session: Session);
    update(id: number, taskInventory: Partial<TaskInventoryType>): Promise<TaskInventoryType>;
    massQuantityUpdate(taskInventories: Partial<TaskInventoryType>[], reasonToChangeInventoryId: number, reasonToChangeInventoryText: string): Promise<TaskInventoryType[]>;
    getTaskInventoriesRejectDetails(taskInventoriesIds: number[]): Promise<import("./TaskInventory.consts").TaskInventoriesRejectDetails>;
    getTasksInventory: (tasksIds: any) => Promise<import("./TaskInventory.consts").TaskInventoriesLoadsResponse>;
}
